%circlecomma
% Function which creates a comma shape comprised of circular arcs.
%
% LAST UPDATED by Andy French April 2016

function circlecomma

%Define number of data points in each arc
N = 500;

%Create x,y cordinates of arc 1
t = linspace(pi,3*pi/2,N);
x1 = cos(t) + 1;
y1 = sin(t) + 1;

%Create x,y cordinates of arc 2
t = linspace(pi/2,pi,N);
x2 = cos(t) + 1;
y2 = sin(t) - 1;

%Create x,y cordinates of arc 3
t = linspace(0,pi/2,N);
x3 = cos(t) - 1;
y3 = sin(t) - 1;

%Create x,y cordinates of arc 4
t = linspace(-pi/2,0,N);
x4 = cos(t) - 1;
y4 = sin(t) + 1;

%Generate figure
patch([x1,x2,x3,x4],[y1,y2,y3,y4],'r','edgecolor','r','facealpha',0.6);
axis equal
axis off

%Print the figure to a .PNG file and close
print( gcf, 'circlecomma','-dpng','-r300' )
close(gcf)

%End of code