%circlestar
% Function which creates a star-shape comprised of circular arcs.
%
% LAST UPDATED by Andy French April 2016

function circlestar

%Define number of data points in each arc
N = 500;

%Create x,y cordinates of arc 1
t = linspace(0,pi,N);
x1 = cos(t);
y1 = sin(t);

%Create x,y cordinates of arc 2
t = linspace(pi,0,N);
x2 = 0.5*cos(t) - 0.5;
y2 = 0.5*sin(t);

%Create x,y cordinates of arc 3
t = linspace(pi,2*pi,N);
x3 = 0.5*cos(t) + 0.5;
y3 = 0.5*sin(t);

%Generate figure
patch([x1,x2,x3],[y1,y2,y3],'g','edgecolor','g','facealpha',0.6);
axis equal
axis off

%Print the figure to a .PNG file and close
print( gcf, 'circlestar','-dpng','-r300' )
close(gcf)

%End of code