%eval_cfrac
% Evaluates a continued fraction.
%
% LAST UPDATED by A French May 2015

function eval_cfrac

%Display opening message to command window
disp(' ')
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ')
disp('  Evaluates a continued fraction specified by a number vector ' )
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ')
disp(' ')

%Get inputs from user
disp(' Choose from a default list or make your own ')
disp(' ')
disp(' 1 - Golden ratio ')
disp(' 2 - pi/2 ')
disp(' 3 - e ' )
disp(' 4 - sqrt(2)' )
disp(' 5 - sqrt(42)' )
disp(' 6 - Define your own number vector in the format [x,y,z,..]')
disp(' ')
choice = input(' Choice = ');
format long
if isempty(choice)
    disp(' Default option is #1, the Golden ratio ')
    choice = 1;
end
if choice==1
    %Golden ratio
    x = ones(1,20);
    disp([' The golden ratio (1+sqrt(5))/2 = ',num2str( (1+sqrt(5))/2, 15 )] );
elseif choice==2
    %pi/2
    n=1:100; x = [1,1./n];
    disp([' pi/2 = ',num2str( pi/2 )] );
elseif choice==3
    %e
    x = [2,1,2,1,1,4,1,16,1,1,8,1,1,10,1,1,12,1,1];
    disp([' e = ',num2str( exp(1), 15 ) ] );
elseif choice==4
    %sqrt(2)
    x = [1,2,2,2,2,2,2,2,2,2,2,2,2];
    disp([' Square root of 2 = ',num2str( sqrt(2), 15 )] );
elseif choice==5
    %sqrt(42)
    x = [6,2,12,2,12,2,12,2,12,2,12,2,12];
    disp([' Square root of 42 = ',num2str( sqrt(42), 15 ) ] );
elseif choice==6
    x = input(' Number vector [x,y,z...] = ');
    if isempty(x)
        disp(' Default option is for the Golden ratio')
        disp([' [x,y,z...] = ',vec2str(ones(1,20)) ] );
        x = ones(1,20);
    end
end

%Work backwards through the fraction
y = x(end);
for n=1:length(x)-1
    y = x( end - n ) + 1/y;
end

%Display result to command window
disp(' ')
disp([' Number vector = ',vec2str(x) ] );
disp([' Continued fraction = ',num2str(y, 15)])
disp(' ');

%%

%Turn a vector of numbers x into a string s
function s = vec2str(x)
s = '[';
for n=1:numel(x)
    s = [s,num2str(x(n)),','];
end
%Remove last comma and replace with a ']'
s(end) = '';
s = [s,']'];

%End of code