%primeplotter
% Plots a matrix indicating the position prime numbers in a number grid.
% A prime number is plotted as a red square, other numbers are white.
%
% LAST UPDATED by Andy French April 2016

function primeplotter

%Display starting message to command widow
disp(' ')
disp(' %%%%%%%%%%%%%%%%%%%%%%' )
disp('  Prime number plotter ' )
disp(' %%%%%%%%%%%%%%%%%%%%%%' )
disp(' ')

%Request number of rows and columns of number grid.
%If cols = 10, the first row would be 1,2,3,4,5,6,7,8,9,10
%the second 11,12,13.....20 etc
disp(' Set number of columns of number grid ')
cols = input(' > ');
if isempty(cols)
    cols = 100;
    disp(' Default number of columns = 100')
end
disp(' ')
disp(' Set number of rows of number grid ')
rows = input(' > ');
if isempty(rows)
    rows = 100;
    disp(' Default number of rows = 100')
end
disp(' ')
disp(' Generating prime number plot ...')

%Sart clock
t0 = tic;

%Construct integer array
N = 1: rows*cols;

%Determine prime numbers within N
p = primes( rows*cols );

%Create binary array P corresponding to N, where 1 means is prime
P = zeros(1,rows*cols);
P(p) = 1;

%Reshape arrays
P = reshape(P, rows, cols).';
N = reshape(N, rows, cols).';

%Plot matrix P as a chequerboard pattern
figure('name','Primes','color',[1 1 1],'toolbar','none','menubar','none');
cmap = [ 1, 1, 1;
    1, 0, 0];
colormap(cmap);
caxis([0,1]);
image( P,'CDataMapping','scaled' );
axis off
box on
print(gcf,['primes ',num2str(rows*cols)],'-dpng','-r300');

%Stop clock and display ending message
disp(' ')
disp([ ' Prime number plot created in ',num2str(toc(t0)),' seconds.'])
disp(' ')

%End of code
