%plot_inverse_hyperbolic
% Plots graphs of the inverse hyperbolic functions acosh, asinh and atanh
%
% LAST UPDATED by Andy French April 2016

function plot_inverse_hyperbolic

%Set fontsize for graphs
fsize = 18;

%Set x range
x=linspace(-5,5,1e5);

%

%Determine vectors of inverse hyperbolic functions
y1 = acosh(x); y1( abs(imag(y1))>0 ) = NaN;
y2 = asinh(x); y2( abs(imag(y2))>0 ) = NaN;
y3 = atanh(x); y3( abs(imag(y3))>0 ) = NaN;

%Generate figure and plot graph
figure('name','inverse hyperbolic function','color',[1 1 1])
plot(x,y1,x,y2,x,y3);
ylim([-3,3])
xlim([-5,5])
xlabel('x','fontsize',fsize);
ylabel('y','fontsize',fsize);
legend({'y = acosh(x)','y = asinh(x)','y = atanh(x)' },...
    'location','eastoutside','fontsize',fsize );
title('Inverse hyperbolic functions','fontsize',fsize)
set(gca,'fontsize',fsize)
set(gca,'xtick',-10:2:10)
grid on

%Print PNG image of graph
print( gcf, 'inverse hyperbolic functions.png','-dpng','-r300' );

%End of code