%plot_inverse_trig_functions
% Plots graphs of the inverse trigonometric functions acos, asin and atan
%
% LAST UPDATED by Andy French April 2016

function plot_inverse_trig_functions

%Set fontsize for graphs
fsize = 18;

%Set x range
x=linspace(-2,2,1e5);

%

%Determine vectors of inverse hyperbolic functions
y1 = acos(x); y1( abs(imag(y1))>0 ) = NaN;
y2 = asin(x); y2( abs(imag(y2))>0 ) = NaN;
y3 = atan(x); y3( abs(imag(y3))>0 ) = NaN;

%Generate figure and plot graph
figure('name','inverse trigonometric functions','color',[1 1 1])
plot(x,y1,x,y2,x,y3);
ylim([-pi/2,pi])
xlim([-2,2])
xlabel('x','fontsize',fsize);
ylabel('y','fontsize',fsize);
legend({'y = acos(x)','y = asin(x)','y = atan(x)' },...
    'location','eastoutside','fontsize',fsize );
title('Inverse trigonometric functions','fontsize',fsize)
set(gca,'fontsize',fsize)
grid on

%Print PNG image of graph
print( gcf, 'inverse trigonometic functions.png','-dpng','-r300' );

%End of code